##
##  remco.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  0.12.5
%define       V_dist  20250307

#   package information
Name:         remco
Summary:      Configuration Templating Tool
URL:          https://heavyhorst.github.io/remco/
Vendor:       Kelsey Hightower
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      MIT
Version:      %{V_opkg}.%{V_dist}
Release:      20250307

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/remco/remco-%{V_dist}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Remco is a lightweight configuration management tool. It's highly
    influenced by ConfD. Remcos main purposes are: keeping local
    configuration files up-to-date using data stored in a key/value
    store like etcd or consul and processing template resources; and
    reloading applications to pick up new config file changes.

%track
    prog remco:release = {
        version   = %{V_opkg}
        url       = https://github.com/HeavyHorst/remco/releases
        regex     = tree/v(__VER__)
    }
    prog remco:snapshot = {
        version   = %{V_dist}
        url       = http://download.openpkg.org/components/versioned/remco/
        regex     = remco-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n remco

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/HeavyHorst/remco
    go build -v -o remco cmd/remco/*.go

%install
    #   install program
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        src/github.com/HeavyHorst/remco/remco \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

